function [ew_out,ev_out] = find_amp_mode(ew,ev,ew_thr)
% the input parameters are the eigenvalues and the eigenvectors of bounded
% modes ONLY!!!

% sort the order of discrete eigenvalues
ind = find(abs(imag(ew))<1e-5);
D_tmp = ew(ind);
[~, order_d] = sort(real(D_tmp),'descend');
ew_d = D_tmp(ind(order_d));
ev_d = ev(:,ind(order_d));

ew_out = -1;
ev_out = -1;
[Num_ew,N_dim] = size(ev);
if Num_ew ~= length(ew)
    error('Dimension mismatch between eigenvalues and eigenvectors!')
end
N = N_dim/2;
for iew = 1:Num_ew
    ewc = ew_d(iew);
    if abs(ewc) < ew_thr
        continue;
    end
    evc = ev_d(1:N,iew) + 1i*ev_d(1+N:end,iew);
    if (evc(1)>1e-3 || evc(end)>1e-3)
        fprintf('This eigenvector might not be a bounded (discrete) mode!\n');
        figure(71);hold on;
        plot(real(evc),'b-'); 
        plot(imag(evc),'r--'); 
        hold off;
        error('Program aborted!')
    end
    sum_check = abs(sum(evc(2:end)));
    if sum_check > 1e-3   % if the eigenmode is an even function, then we identify it as the amplitude eigenmode
        ew_out = ewc;
        ev_out = evc;
        break;
    end
end
if ew_out == -1
    error('Amplitude eigenvector not found!')
end

end
