classdef hme_parameters < handle
    
    properties
        l = 0.2;
        Esat = 1;
        Omega = sqrt(10);
        g0 = 0.4;
        b2 = -2;
        gam = 4;
        del
        sgm
        Psat
    end
    
    % Internal variables
    properties (GetAccess='public',SetAccess='public')
        N
        T
        dt
        dw
        naxis
        t
        w
    end
    
    % Analytical Solution for del = 0.03; sgm = 0;
    properties (GetAccess='public',SetAccess='public')
        A0 = 0.879786;
        tau0 = 0.803731;
        beta0 = 0.000941145;
        phi0 = 1.54805;
    end
       
    %% setup function
    methods
        function obj=hme_parameters()
        end
        
        function setup(self,N,T,del,sgm)
            self.N = N;
            self.T = T;
            self.del_0=del;
            self.sgm_0=sgm;
            self.naxis = (-N/2:1:N/2-1)';
            
            self.dt = self.T/self.N;                   % temporal resolution
            self.t = self.naxis*self.dt;                         % time axis
            
            self.dw = 2*pi/self.T;                     % Freq resolution
            self.w = fftshift(self.naxis*self.dw);                         % Freq axis                                                   
        end
        
    end
end