function main
close all;
MyPath = pwd;

disp('Tracking the stability boundary of continuous modes of the low-amplitude solution:')
figure(11); 
AddedPath = [MyPath '/Continuum_LAS_toPublish/'];
addpath(AddedPath, '-end');
bound_cont_las = find_continuum_boundary;
rmpath(AddedPath);
figure(11);
title('Boundary of Continuous Mode, LAS');

figure(1); hold on;
plot(bound_cont_las(1,:),bound_cont_las(2,:),'k-','linewidth',2);

disp('Calculating the stability boundary of amplitude mode of the low-amplitude solution:')
figure(12); 
AddedPath = [MyPath '/Amplitude_LAS_toPublish/'];
addpath(AddedPath, '-end');
bound_amp_las = find_amplitude_boundary_LAS;
rmpath(AddedPath);
figure(12);
title('Boundary of Amplitude Mode, LAS');

figure(1); hold on;
plot(bound_amp_las(1,:),bound_amp_las(2,:),'b-.','linewidth',2);

disp('Calculating the stability boundary of amplitude mode of the high-amplitude solution:')
figure(13); 
AddedPath = [MyPath '/Amplitude_HAS_toPublish/'];
addpath(AddedPath, '-end');
bound_amp_has = find_amplitude_boundary_HAS;
rmpath(AddedPath);
figure(13);
title('Boundary of Amplitude Mode, HAS');

figure(1); hold on;
plot(bound_amp_has(1,:),bound_amp_has(2,:),'r--','linewidth',2);
grid on;
axis tight;
xlim([0 0.01]);

xlabel('$\sigma$','interpreter','latex');
ylabel('$\delta$','interpreter','latex');

end